## org.eclipse.emf.mapping.xsd2ecore.presentation
Class XSD2EcoreEditor.MyInitializeCopyOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
              org.eclipse.emf.mapping.xsd2ecore.presentation.XSD2EcoreEditor.MyInitializeCopyOverrideCommand

All Implemented Interfaces:
  Command

Enclosing class:
  XSD2EcoreEditor

    public static class XSD2EcoreEditor.MyInitializeCopyOverrideCommand

extends InitializeCopyOverrideCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
`initializeCommand, mappingDomain`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`XSD2EcoreEditor.MyInitializeCopyOverrideCommand(MappingDomain domain, InitializeCopyCommand initializeCommand)` Constructor for MyInitializeCopyOverrideCommand.

Method Summary
`void` `execute()`

Methods inherited from class org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand
`getAffectedObjects, getResult, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, dispose, getDescription, getLabel, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSD2EcoreEditor.MyInitializeCopyOverrideCommand

    public XSD2EcoreEditor.MyInitializeCopyOverrideCommand(MappingDomain domain,
                                                           InitializeCopyCommand initializeCommand)

  Constructor for MyInitializeCopyOverrideCommand.

  Parameters:
    `domain` -
    `initializeCommand` -

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `Command`
  Overrides:
    `execute` in class `InitializeCopyOverrideCommand`
  See Also:
    `Command.execute()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.